<?php
/**
 * @version $Id: joobbdesign.php 448 2009-02-02 22:34:42Z robste $
 * @package Joo!BB
 * @copyright Copyright (C) 2007-2009 Sonixsoft. All rights reserved.
 * @license GNU/GPL. Please see license.php in Joo!BB directory 
 * for copyright notices and details.
 * Joo!BB is free software. This version may have been NOT modified.
 */
 
/**
 * Joobb Design Table Class
 *
 * @package Joo!BB
 */
class JTableJoobbDesign extends JTable {
	/** @var int Unique id*/
	var $id					= null;
	/** @var string */
	var $name				= null;
	/** @var int */
	var $default_design		= null;	
	/** @var string */
	var $template			= null;
	/** @var string */
	var $style				= null;	
	/** @var string */
	var $emotion_set		= null;
	/** @var string */
	var $icon_set			= null;
	/** @var int */
	var $button_set			= null;
	/** @var int */
	var $checked_out		= null;	
	/** @var datetime */
	var $checked_out_time	= null;
																	
	/**
	 * @param database A database connector object
	 */
	function __construct(&$db) {
		parent::__construct('#__joobb_designs', 'id', $db);
	}
	
}
?>