<?php
/**
 * @version $Id: toolbar.joobb.html.php 583 2009-08-16 20:24:02Z robste $
 * @package Joo!BB
 * @copyright Copyright (C) 2007-2008 Sonixsoft. All rights reserved.
 * @license GNU/GPL. Please see license.php in Joo!BB directory 
 * for copyright notices and details.
 * Joo!BB is free software. This version may have been NOT modified.
 */
 
 // no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Joo!BB Toolbar Html
 *
 * @package Joo!BB
 */
class TOOLBAR_joobb {
	function _JOOBB_FORUM() {
		JToolBarHelper::title(JText::_('BB_FORUMMANAGER'), 'forum.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_forum_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_forum_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
		JToolBarHelper::custom('joobb_forum_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
		$toolBar = &JToolBar::getInstance('toolbar');
		$toolBar->appendButton('Popup', 'help', 'BB_HELP', 'http://www.joobb.org/documentation/joobb/forum_manager', 1024, 768);
	}
		
	function _JOOBB_FORUM_EDIT() {
		$cid = JRequest::getVar('cid', array(0) );
		$text = intval($cid[0]) ? JText::_('BB_EDIT') : JText::_('BB_ADD');
	
		JToolBarHelper::title(JText::_('BB_FORUMMANAGER') .' - <span>'. $text.'</span>', 'forum.png');
		JToolBarHelper::custom('joobb_forum_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);		
		JToolBarHelper::custom('joobb_forum_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);
		JToolBarHelper::custom('joobb_forum_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}
	
	function _JOOBB_CATEGORY() {
		JToolBarHelper::title(JText::_('BB_CATEGORYMANAGER'), 'category.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_category_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_category_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
		JToolBarHelper::custom('joobb_category_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
		$toolBar = &JToolBar::getInstance('toolbar');
		$toolBar->appendButton('Popup', 'help', 'BB_HELP', 'http://www.joobb.org/documentation/joobb/category_manager', 1024, 768);
	}
	
	function _JOOBB_CATEGORY_EDIT() {
		$cid = JRequest::getVar('cid', array(0) );
		$text = intval($cid[0]) ? JText::_('BB_EDIT') : JText::_('BB_ADD');
	
		JToolBarHelper::title(JText::_('BB_CATEGORYMANAGER') .' - <span>'. $text.'</span>', 'category.png');
		JToolBarHelper::custom('joobb_category_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		JToolBarHelper::custom('joobb_category_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_category_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);		
	}
		
	function _JOOBB_CONFIG() {
		JToolBarHelper::title(JText::_('BB_CONFIGMANAGER'), 'configuration.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_config_default', 'default.png', 'default_f2.png', 'BB_DEFAULT', false);
		JToolBarHelper::custom('joobb_config_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_config_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
		JToolBarHelper::custom('joobb_config_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
		$toolBar = &JToolBar::getInstance('toolbar');
		$toolBar->appendButton('Popup', 'help', 'BB_HELP', 'http://www.joobb.org/documentation/joobb/configuration', 1024, 768);
	}
	
	function _JOOBB_CONFIG_EDIT() {
		$cid = JRequest::getVar('cid', array(0) );
		$text = intval($cid[0]) ? JText::_('BB_EDIT') : JText::_('BB_ADD');
	
		JToolBarHelper::title(JText::_('BB_CONFIGMANAGER') .' - <span>'. $text.'</span>', 'configuration.png');
		JToolBarHelper::custom('joobb_config_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		JToolBarHelper::custom('joobb_config_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_config_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);		
	}

	function _JOOBB_DESIGN() {
		JToolBarHelper::title(JText::_('BB_DESIGNMANAGER'), 'design.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_design_default', 'default.png', 'default_f2.png', 'BB_DEFAULT', false);
		JToolBarHelper::custom('joobb_design_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_design_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
		JToolBarHelper::custom('joobb_design_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
	}
	
	function _JOOBB_DESIGN_EDIT() {
		$cid = JRequest::getVar('cid', array(0) );
		$text = intval($cid[0]) ? JText::_('BB_EDIT') : JText::_('BB_ADD');
	
		JToolBarHelper::title(JText::_('BB_DESIGNMANAGER') .' - <span>'. $text.'</span>', 'design.png');
		JToolBarHelper::custom('joobb_design_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		JToolBarHelper::custom('joobb_design_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_design_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}
		
	function _JOOBB_TEMPLATE() {
		JToolBarHelper::title(JText::_('BB_TEMPLATEMANAGER'), 'template.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_template_default', 'default.png', 'default_f2.png', 'BB_DEFAULT', false);		
		JToolBarHelper::custom('joobb_template_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
	}
	
	function _JOOBB_TEMPLATE_EDIT() {
		JToolBarHelper::title(JText::_('BB_TEMPLATEMANAGER') .' - <span>'. JText::_('BB_EDIT') .'</span>', 'template.png');
		JToolBarHelper::custom('joobb_template_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		JToolBarHelper::custom('joobb_template_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_template_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}
	
	function _JOOBB_STYLE() {
		JToolBarHelper::title(JText::_('BB_STYLEMANAGER'), 'style.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_style_default', 'default.png', 'default_f2.png', 'BB_DEFAULT', false);		
		JToolBarHelper::custom('joobb_style_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
	}
	
	function _JOOBB_STYLE_EDIT() { 
		JToolBarHelper::title(JText::_('BB_STYLEMANAGER') .' - <span>'. JText::_('BB_EDIT') .'</span>', 'style.png');
		JToolBarHelper::custom('joobb_style_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		JToolBarHelper::custom('joobb_style_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_style_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}

	function _JOOBB_EMOTIONSET() {
		JToolBarHelper::title(JText::_('BB_EMOTIONSETMANAGER'), 'emotionset.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_emotionset_default', 'default.png', 'default_f2.png', 'BB_DEFAULT', false);
		//JToolBarHelper::custom('joobb_emotionset_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_emotionset_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
		//JToolBarHelper::custom('joobb_emotionset_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
	}
	
	function _JOOBB_EMOTIONSET_EDIT() {
		$cid = JRequest::getVar('cid', array() );
		$text = intval($cid[0] != '') ? JText::_('BB_EDIT') : JText::_('BB_ADD');
	
		JToolBarHelper::title(JText::_('BB_EMOTIONSETMANAGER') .' - <span>'. $text .'</span>', 'emotionset.png');
		//JToolBarHelper::custom('joobb_emotionset_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		//JToolBarHelper::custom('joobb_emotionset_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_emotionset_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}

	function _JOOBB_BUTTONSET() {
		JToolBarHelper::title(JText::_('BB_BUTTONSETMANAGER'), 'buttonset.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_buttonset_default', 'default.png', 'default_f2.png', 'BB_DEFAULT', false);
//		JToolBarHelper::custom('joobb_buttonset_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_buttonset_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
//		JToolBarHelper::custom('joobb_buttonset_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
	}
	
	function _JOOBB_BUTTONSET_EDIT() {
		$cid = JRequest::getVar('cid', array() );
		$text = intval($cid[0] != '') ? JText::_('BB_EDIT') : JText::_('BB_ADD');
	
		JToolBarHelper::title(JText::_('BB_BUTTONSETMANAGER') .' - <span>'. $text.'</span>', 'buttonset.png');
//		JToolBarHelper::custom('joobb_buttonset_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
//		JToolBarHelper::custom('joobb_buttonset_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_buttonset_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}

	function _JOOBB_ICONSET() {
		JToolBarHelper::title(JText::_('BB_ICONSETMANAGER'), 'iconset.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_iconset_default', 'default.png', 'default_f2.png', 'BB_DEFAULT', false);
//		JToolBarHelper::custom('joobb_iconset_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_iconset_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
//		JToolBarHelper::custom('joobb_iconset_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
	}
	
	function _JOOBB_ICONSET_EDIT() {
		$cid = JRequest::getVar('cid', array() );
		$text = intval($cid[0] != '') ? JText::_('BB_EDIT') : JText::_('BB_ADD');
	
		JToolBarHelper::title(JText::_('BB_ICONSETMANAGER') .' - <span>'. $text.'</span>', 'iconset.png');
//		JToolBarHelper::custom('joobb_iconset_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
//		JToolBarHelper::custom('joobb_iconset_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_iconset_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}
					
	function _JOOBB_USER() {
		JToolBarHelper::title(JText::_('BB_USERMANAGER'), 'joobbuser.png');	
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_user_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_user_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
		JToolBarHelper::custom('joobb_user_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
		JToolBarHelper::custom('joobb_user_logout', 'cancel.png', 'cancel_f2.png', 'BB_LOGOUT', false);
		$toolBar = &JToolBar::getInstance('toolbar');
		$toolBar->appendButton('Popup', 'help', 'BB_HELP', 'http://www.joobb.org/documentation/joobb/user_manager', 1024, 768);
	}
	
	function _JOOBB_USER_EDIT() {
		$cid = JRequest::getVar('cid', array(0) );
		$text = intval($cid[0]) ? JText::_('BB_EDIT') : JText::_('BB_ADD');
			
		JToolBarHelper::title(JText::_('BB_USERMANAGER') .' - <span>'. $text.'</span>', 'joobbuser.png');
		JToolBarHelper::custom('joobb_user_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		JToolBarHelper::custom('joobb_user_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_user_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}

	function _JOOBB_GROUP() {
		JToolBarHelper::title(JText::_('BB_GROUPMANAGER'), 'group.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_group_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_group_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
		JToolBarHelper::custom('joobb_group_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
	}
	
	function _JOOBB_GROUP_EDIT() {
		$cid = JRequest::getVar('cid', array(0) );
		$text = intval($cid[0]) ? JText::_('BB_EDIT') : JText::_('BB_ADD');
			
		JToolBarHelper::title(JText::_('BB_GROUPMANAGER') .' - <span>'. $text.'</span>', 'group.png');
		JToolBarHelper::custom('joobb_group_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		JToolBarHelper::custom('joobb_group_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_group_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}

	function _JOOBB_RANK() {
		JToolBarHelper::title(JText::_('BB_RANKMANAGER'), 'rank.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_rank_new', 'new.png', 'new_f2.png', 'BB_NEW', false);
		JToolBarHelper::custom('joobb_rank_edit', 'edit.png', 'edit_f2.png', 'BB_EDIT', false);
		JToolBarHelper::custom('joobb_rank_delete', 'delete.png', 'delete_f2.png', 'BB_DELETE', false);
	}
	
	function _JOOBB_RANK_EDIT() {
		$cid = JRequest::getVar('cid', array(0) );
		$text = intval($cid[0]) ? JText::_('BB_EDIT') : JText::_('BB_ADD');
			
		JToolBarHelper::title(JText::_('BB_RANKMANAGER') .' - <span>'. $text.'</span>', 'rank.png');
		JToolBarHelper::custom('joobb_rank_apply', 'apply.png', 'apply_f2.png', 'BB_APPLY', false);				
		JToolBarHelper::custom('joobb_rank_save', 'save.png', 'save_f2.png', 'BB_SAVE', false);		
		JToolBarHelper::custom('joobb_rank_cancel', 'cancel.png', 'cancel_f2.png', 'BB_CANCEL', false);
	}
										
	function _JOOBB_USERSYNC() {
		JToolBarHelper::title(JText::_('BB_USERSYNCMANAGER'), 'usersync.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_usersync_perform', 'apply.png', 'apply_f2.png', 'BB_PERFORM', false);
	}

	function _JOOBB_INSTALL() {
		JToolBarHelper::title(JText::_('BB_INSTALLATIONMANAGER'), 'install.png');
		JToolBarHelper::custom('joocm_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
	}
										
	function _JOOBB_SITEMAP() {
		JToolBarHelper::title(JText::_('BB_SITEMAPMANAGER'), 'sitemap.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
		JToolBarHelper::custom('joobb_sitemap_perform', 'apply.png', 'apply_f2.png', 'BB_PERFORM', false);
	}

	function _JOOBB_CREDITS() {
		JToolBarHelper::title(JText::_('BB_JOOBBCREDITS'), 'credits.png');
		JToolBarHelper::custom('joobb_controlpanel', 'back.png', 'back_f2.png', 'BB_JOOBB', false);
	}
	
	function _DEFAULT() {
		JToolBarHelper::title(JText::_('BB_JOOBB'), 'joobb.png');
		$toolBar = &JToolBar::getInstance('toolbar');
		$toolBar->appendButton('Popup', 'help', 'BB_HELP', 'http://www.joobb.org/documentation/joobb/control_panel', 1024, 768);
	}
}
?>