<?php
/**
 * @version $Id: design.php 448 2009-02-02 22:34:42Z robste $
 * @package Joo!BB
 * @copyright Copyright (C) 2007-2008 Sonixsoft. All rights reserved.
 * @license GNU/GPL. Please see license.php in Joo!BB directory 
 * for copyright notices and details.
 * Joo!BB is free software. This version may have been NOT modified.
 */
 
// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Joo!BB Designs View
 *
 * @package Joo!BB
 */
class ViewDesign {

	/**
	 * show designs
	 */	
	function showDesigns(&$rows, $pageNav, &$lists) {
		global $mainframe;
		
		// Initialize variables
		$user	=& JFactory::getUser();
		
		$document =& JFactory::getDocument();
		$document->addStyleSheet(JOOBB_ADMINCSS_LIVE.DL.'icon.css');
		
		$task	= JRequest::getVar('task');
		?>
		<div id="submenu-box">
			<div class="t">
				<div class="t">
					<div class="t">
					</div>
				</div>
			</div>		
			<div class="m">
				<ul id="submenu">
					<li>
						<?php $class = ($task == 'joobb_design_view') ? 'class="active"' : ''; ?>
						<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_design_view"><?php echo JText::_('BB_DESIGNS'); ?></a>
					</li>
					<li>
						<?php $class = ($task == 'joobb_template_view') ? 'class="active"' : ''; ?>
						<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_template_view"><?php echo JText::_('BB_TEMPLATES'); ?></a>
					</li>
					<li>
						<?php $class = ($task == 'joobb_style_view') ? 'class="active"' : ''; ?>
						<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_style_view"><?php echo JText::_('BB_STYLES'); ?></a>
					</li>					
					<li>
						<?php $class = ($task == 'joobb_emotionset_view') ? 'class="active"' : ''; ?>
						<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_emotionset_view"><?php echo JText::_('BB_EMOTIONSETS'); ?></a>
					</li>
					<li>
						<?php $class = ($task == 'joobb_buttonset_view') ? 'class="active"' : ''; ?>
						<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_buttonset_view"><?php echo JText::_('BB_BUTTONSETS'); ?></a>
					</li>
					<li>
						<?php $class = ($task == 'joobb_iconset_view') ? 'class="active"' : ''; ?>
						<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_iconset_view"><?php echo JText::_('BB_ICONSETS'); ?></a>
					</li>													
				</ul>
				<div class="clr"></div>
			</div>
			<div class="b">
				<div class="b">
					<div class="b">
					</div>
				</div>
			</div>
		</div>
		<form action="index.php?option=com_joobb" method="post" name="adminForm">
			<table class="adminlist" cellspacing="1">
			<thead>
				<tr>
					<th nowrap="nowrap" width="5">
						<?php echo JText::_('Num'); ?>
					</th>
					<th nowrap="nowrap" width="5">
						<input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th nowrap="nowrap" width="20%">
						<?php echo JHTML::_('grid.sort', 'BB_NAME', 'd.name', @$lists['filter_order_Dir'], @$lists['filter_order'], 'joobb_design_view'); ?>
					</th>
					<th width="15%">
						<?php echo JText::_('BB_TEMPLATE'); ?>
					</th>
					<th width="15%">
						<?php echo JText::_('BB_STYLE'); ?>
					</th>					
					<th width="15%">
						<?php echo JText::_('BB_EMOTIONSET'); ?>
					</th>
					<th width="15%">
						<?php echo JText::_('BB_BUTTONSET'); ?>
					</th>
					<th width="15%">
						<?php echo JText::_('BB_ICONSET'); ?>
					</th>															
					<th width="5%">
						<?php echo JText::_('BB_DEFAULT'); ?>
					</th>																																		
					<th nowrap="nowrap" width="1%">
						<?php echo JHTML::_('grid.sort', 'BB_ID', 'd.id', @$lists['filter_order_Dir'], @$lists['filter_order'], 'joobb_design_view'); ?>
					</th>			
				</tr>
			</thead>
			<tfoot>
				<td colspan="20">
					<?php echo $pageNav->getListFooter(); ?>
				</td>
			</tfoot>			
			<tbody>
			<?php
			$k = 0;
			for ( $i=0, $n=count( $rows ); $i < $n; $i++ ) {
				$row 	=& $rows[$i];
				
				$img_default = $row->default_design ? JOOBB_ADMINIMAGES_LIVE.DL.'menu'.DL.'icon-16-default.png' : JOOBB_ADMINIMAGES_LIVE.DL.'menu'.DL.'spacer.png';
				$alt_default = $row->default_design ? JText::_('BB_DEFAULT') :  JText::_('BB_NOTDEFAULT');				
				
				$link = 'index.php?option=com_joobb&task=joobb_design_edit&cid[]='. $row->id .'&hidemainmenu=1';
				
				$checked 	= JHTML::_('grid.checkedout', $row, $i);																																		
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $i+1 ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
						<?php
							if ( JTable::isCheckedOut($user->get ('id'), $row->checked_out ) ) {
								echo $row->name;
							} else {
								?>
								<a href="<?php echo JRoute::_( $link ); ?>">
									<?php echo htmlspecialchars($row->name, ENT_QUOTES); ?>
								</a>
								<?php
							}
						?>				
					</td>
					<td>
						<?php echo $row->template_name; ?>				
					</td>
					<td>
						<?php echo $row->style_name; ?>				
					</td>					
					<td>
						<?php echo $row->emotion_set_name; ?>				
					</td>
					<td>
						<?php echo $row->button_set_name; ?>				
					</td>
					<td>
						<?php echo $row->icon_set_name; ?>				
					</td>															
					<td align="center">
						<img src="<?php echo $img_default; ?>" width="16" height="16" border="0" alt="<?php echo $alt_default; ?>" />
					</td>																																																												
					<td>
						<?php echo $row->id; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>
			<input type="hidden" name="option" value="com_joobb" />
			<input type="hidden" name="task" value="joobb_design_view" />
			<input type="hidden" name="hidemainmenu" value="0" />
			<input type="hidden" name="filter_order" value="<?php echo $lists['filter_order']; ?>" />
			<input type="hidden" name="filter_order_Dir" value="" />
		</form>
		<?php
	}
	
	/**
	 * edit design
	 */
	function editDesign(&$row, &$lists) {
		global $mainframe;
		
		$document =& JFactory::getDocument();
		$document->addStyleSheet(JOOBB_ADMINCSS_LIVE.DL.'icon.css');
		
		?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'joobb_design_cancel') {
				submitform(pressbutton);
				return;
			}
			var r = new RegExp("[\<|\>|\"|\'|\%|\;|\(|\)|\&|\+|\-]", "i");

			// do field validation
			if (trim(form.name.value) == "") {
				alert("<?php echo JText::sprintf('BB_MSGFIELDREQUIRED', JText::_('BB_NAME'), JText::_('BB_DESIGN')); ?>");
			} else {
				submitform(pressbutton);
			}
		}
		</script>
		<form action="index.php" method="post" name="adminForm">
			<div class="col width-50">
				<fieldset class="adminform">
					<legend>
						<?php echo JText::_('BB_DESIGNDETAILS'); ?>
					</legend>
					<table class="admintable" cellspacing="1">
						<tr>
							<td class="key">
								<label for="name">
									<?php echo JText::_('BB_NAME'); ?>
								</label>
							</td>
							<td>
								<input type="text" name="name" id="name" class="inputbox" size="50" value="<?php echo $row->name; ?>" maxlength="100" />
							</td>
						</tr>
						<tr>
							<td class="key">
								<label for="template">
									<?php echo JText::_('BB_TEMPLATE'); ?>
								</label>
							</td>
							<td>
								<?php echo $lists['templates']; ?>
							</td>
						</tr>
						<tr>
							<td class="key">
								<label for="style">
									<?php echo JText::_('BB_STYLE'); ?>
								</label>
							</td>
							<td>
								<?php echo $lists['styles']; ?>
							</td>
						</tr>					
						<tr>
							<td class="key">
								<label for="emotion_set">
									<?php echo JText::_('BB_EMOTIONSET'); ?>
								</label>
							</td>
							<td>
								<?php echo $lists['emotionsets']; ?>
							</td>
						</tr>
						<tr>
							<td class="key">
								<label for="button_set">
									<?php echo JText::_('BB_BUTTONSET'); ?>
								</label>
							</td>
							<td>
								<?php echo $lists['buttonsets']; ?>
							</td>
						</tr>
						<tr>
							<td class="key">
								<label for="id_icon_set">
									<?php echo JText::_('BB_ICONSET'); ?>
								</label>
							</td>
							<td>
								<?php echo $lists['iconsets']; ?>
							</td>
						</tr>															
					</table>
				</fieldset>
			</div>
			<div class="clr"></div>				
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="option" value="com_joobb" />
			<input type="hidden" name="task" value="" />
		</form>
	<?php
	}
}
?>