<?php
/**
 * @version $Id: group.php 470 2009-02-11 19:59:27Z robste $
 * @package Joo!BB
 * @copyright Copyright (C) 2007-2009 Sonixsoft. All rights reserved.
 * @license GNU/GPL. Please see license.php in Joo!BB directory 
 * for copyright notices and details.
 * Joo!BB is free software. This version may have been NOT modified.
 */
 
// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Joo!BB Group View
 *
 * @package Joo!BB
 */
class ViewGroup {

	/**
	 * show groups
	 */	
	function showGroups(&$rows, $pageNav, &$lists) {
		global $mainframe;
		
		// initialize variables
		$user =& JFactory::getUser();
				
		$document =& JFactory::getDocument();		
		$document->addStyleSheet(JOOBB_ADMINCSS_LIVE.DL.'icon.css');

		$task	= JRequest::getVar('task'); ?>
		<div id="submenu-box">
			<div class="t"><div class="t"><div class="t"></div></div></div>			
			<div class="m">
				<ul id="submenu"><li>
					<?php $class = ($task == 'joobb_user_view') ? 'class="active"' : ''; ?>
					<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_user_view"><?php echo JText::_('BB_USERS'); ?></a>
				</li><li>
						<?php $class = ($task == 'joobb_group_view') ? 'class="active"' : ''; ?>
						<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_group_view"><?php echo JText::_('BB_GROUPS'); ?></a>
				</li><li>
					<?php $class = ($task == 'joobb_rank_view') ? 'class="active"' : ''; ?>
					<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_rank_view"><?php echo JText::_('BB_RANKS'); ?></a>
				</li></ul>
				<div class="clr"></div>
			</div>
			<div class="b"><div class="b"><div class="b"></div></div></div>
		</div>
		<form action="index.php?option=com_joobb" method="post" name="adminForm">
			<table class="adminlist" cellspacing="1">
			<thead><tr>
				<th nowrap="nowrap" width="5">
					<?php echo JText::_('Num'); ?>
				</th>
				<th nowrap="nowrap" width="5">
					<input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($rows); ?>);" />
				</th>
				<th nowrap="nowrap" width="35%">
					<?php echo JHTML::_('grid.sort', 'BB_NAME', 'g.name', @$lists['order_Dir'], @$lists['order'], 'joobb_group_view'); ?>
				</th>					
				<th nowrap="nowrap" width="40%">
					<?php echo JHTML::_('grid.sort', 'BB_DESCRIPTION', 'g.description', @$lists['order_Dir'], @$lists['order'], 'joobb_group_view'); ?>
				</th>
				<th nowrap="nowrap" width="1%">
					<?php echo JHTML::_('grid.sort', 'BB_PUBLISHED', 'g.published', @$lists['order_Dir'], @$lists['order'], 'joobb_group_view'); ?>
				</th>																				
				<th nowrap="nowrap" width="20%">
					<?php echo JText::_('BB_ROLE'); ?>
				</th>																													
				<th nowrap="nowrap" width="1%">
					<?php echo JHTML::_('grid.sort', 'BB_ID', 'g.id', @$lists['order_Dir'], @$lists['order'], 'joobb_group_view'); ?>
				</th>			
			</tr></thead>
			<tfoot>
				<td colspan="20">
					<?php echo $pageNav->getListFooter(); ?>
				</td>
			</tfoot>			
			<tbody><?php
			$k = 0;
			for ( $i=0, $n=count( $rows ); $i < $n; $i++ ) {
				$row 	=& $rows[$i];
				
				$img_published = $row->published ? 'tick.png' : 'publish_x.png';
				$task_published = $row->published ? 'joobb_group_unpublish' : 'joobb_group_publish';
				$alt_published = $row->published ? JText::_('BB_PUBLISHED') :  JText::_('BB_UNPUBLISHED');
				
				$link = 'index.php?option=com_joobb&task=joobb_group_edit&cid[]='. $row->id .'&hidemainmenu=1';	?>
				<tr class="<?php echo "row$k"; ?>">
					<td><?php echo $i+1 ?></td>
					<td><?php echo JHTML::_('grid.id', $i, $row->id); ?></td>
					<td><?php
					if (JTable::isCheckedOut($user->get ('id'), $row->id )) {
						echo $row->name;
					} else { ?>
						<a href="<?php echo JRoute::_($link); ?>">
							<?php echo htmlspecialchars($row->name, ENT_QUOTES); ?>
						</a><?php
					} ?>				
					</td>
					<td><?php echo $row->description; ?></td>
					<td align="center">
						<a href="javascript: void(0);" onClick="return listItemTask('cb<?php echo $i;?>','<?php echo $task_published;?>')">
							<img src="images/<?php echo $img_published;?>" width="16" height="16" border="0" alt="<?php echo $alt_published; ?>" />
						</a>
					</td>					
					<td><?php echo $lists['roles'][$row->role]; ?></td>																																																												
					<td><?php echo $row->id; ?></td>
				</tr><?php
				$k = 1 - $k;
			} ?>
			</tbody>
			</table>
			<input type="hidden" name="option" value="com_joobb" />
			<input type="hidden" name="task" value="joobb_group_view" />
			<input type="hidden" name="boxchecked" value="0" />
			<input type="hidden" name="hidemainmenu" value="0" />
			<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
			<input type="hidden" name="filter_order_Dir" value="" />
		</form><?php
	}
	
	/**
	 * edit group
	 */
	function editGroup(&$row, &$lists) {
		global $mainframe;
		
		$document =& JFactory::getDocument();
		$document->addStyleSheet(JOOBB_ADMINCSS_LIVE.DL.'icon.css'); ?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'joobb_group_cancel') {
				submitform(pressbutton);
				return;
			}
			var r = new RegExp("[\<|\>|\"|\'|\%|\;|\(|\)|\&|\+|\-]", "i");

			// do field validation
			if (trim(form.name.value) == "") {
				alert("<?php echo JText::sprintf('BB_MSGFIELDREQUIRED', JText::_('BB_NAME'), JText::_('BB_GROUP')); ?>");
			} else {
				submitform(pressbutton);
			}
		}
		</script>
		<form action="index.php" method="post" name="adminForm">
			<div class="col width-50">
				<fieldset class="adminform">
					<legend><?php echo JText::_('BB_GROUPDETAILS'); ?></legend>
					<table class="admintable" cellspacing="1"><tr>
						<td class="key">
							<label for="name">
								<?php echo JText::_('BB_NAME'); ?>
							</label>
						</td>
						<td>
							<input type="text" name="name" id="name" class="inputbox" size="50" value="<?php echo $row->name; ?>" maxlength="100" />
						</td>
					</tr><tr>
						<td class="key">
							<label for="description">
								<?php echo JText::_('BB_DESCRIPTION'); ?>
							</label>
						</td>
						<td>
							<textarea name="description"  id="description" rows="5" cols="50" class="inputbox"><?php echo $row->description; ?></textarea>
						</td>
					</tr><tr>
						<td class="key">
							<label for="role">
								<?php echo JText::_('BB_ROLE'); ?>
							</label>
						</td>
						<td><?php echo $lists['roles']; ?></td>
					</tr><tr>
						<td class="key">
							<label>
								<?php echo JText::_('BB_PUBLISHED'); ?>
							</label>
						</td>
						<td><?php echo $lists['published']; ?></td>
					</tr></table>
				</fieldset>
			</div>
			<div class="col width-50">
				<fieldset class="adminform">
					<legend>
						<?php echo JText::_('BB_GROUPUSERS'); ?>
					</legend>
					<table class="admintable" cellspacing="1"><tr>
						<td class="key">
							<?php echo JText::_('BB_GROUPUSERS'); ?>
						</td>
						<td><?php echo $lists['groupusers'];?>
						</td>
					</tr></table>										
				</fieldset>
			</div>
			<div class="clr"></div>
			<div class="col100">
				<fieldset class="adminform">
					<legend><?php echo JText::_('BB_EXTENDEDROLES'); ?></legend>
					<div class="col width-50">
						<fieldset class="adminform">
							<legend><?php echo JText::_('BB_ADMINISTRATION'); ?></legend>				
							<table class="admintable"><tr>
								<td class="key">
									<label for="administratedforums">
										<?php echo JText::_('BB_ADMINISTRATOR'); ?>
									</label>
								</td>
								<td><?php echo $lists['administratedforums']; ?></td>
							</tr></table>
						</fieldset>
						<fieldset class="adminform">
							<legend><?php echo JText::_('BB_PRIVATEACCESS'); ?></legend>				
							<table class="admintable"><tr>
								<td class="key">
									<label for="privateforums">
										<?php echo JText::_('BB_PRIVATEMEMBER'); ?>
									</label>
								</td>
								<td><?php echo $lists['privateforums']; ?></td>
							</tr></table>
						</fieldset>					
					</div>											
					<div class="col width-50">
						<fieldset class="adminform">
							<legend><?php echo JText::_('BB_MODERATION'); ?></legend>				
							<table class="admintable"><tr>
								<td class="key">
									<label for="moderatedforums">
										<?php echo JText::_('BB_MODERATOR'); ?>
									</label>
								</td>
								<td><?php echo $lists['moderatedforums']; ?></td>
							</tr></table>
						</fieldset>					
					</div>
				</fieldset>
			</div>						
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="option" value="com_joobb" />
			<input type="hidden" name="task" value="" />
		</form><?php
	}
}
?>