<?php
/**
 * @version $Id: sitemap.php 568 2009-04-19 11:11:18Z robste $
 * @package Joo!BB
 * @copyright Copyright (C) 2007-2009 Sonixsoft. All rights reserved.
 * @license GNU/GPL. Please see license.php in Joo!BB directory 
 * for copyright notices and details.
 * Joo!BB is free software. This version may have been NOT modified.
 */
 
// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Joo!BB Sitemap View
 *
 * @package Joo!BB
 */
class ViewSitemap {

	/**
	 * show sitemap
	 */	
	function showSitemap(&$lists) {
		global $mainframe, $my;

		// initialize variables
		$document =& JFactory::getDocument();
		$document->addStyleSheet(JOOBB_ADMINCSS_LIVE.DL.'icon.css');
		
		$task	= JRequest::getVar('task'); ?>
		<div id="submenu-box">
			<div class="t"><div class="t"><div class="t"></div></div></div>			
			<div class="m">
				<ul id="submenu"><li>
					<?php $class = ($task == 'joobb_usersync_view') ? 'class="active"' : ''; ?>
					<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_usersync_view"><?php echo JText::_('BB_USERSYNC'); ?></a>
				</li><li>
					<?php $class = ($task == 'joobb_install_view') ? 'class="active"' : ''; ?>
					<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_install_view"><?php echo JText::_('BB_INSTALLATION'); ?></a>
				</li><li>
					<?php $class = ($task == 'joobb_sitemap_view') ? 'class="active"' : ''; ?>
					<a <?php echo $class; ?> href="index.php?option=com_joobb&task=joobb_sitemap_view"><?php echo JText::_('BB_SITEMAP'); ?></a>
				</li></ul>
				<div class="clr"></div>
			</div>
			<div class="b"><div class="b"><div class="b"></div></div></div>
		</div>
		<form action="index.php" method="post" name="adminForm" autocomplete="off">
			<div class="col width-50">
				<fieldset class="adminform">
					<legend>
						<?php echo JText::_('BB_SITEMAP'); ?>
					</legend>
					<table class="admintable" cellspacing="1"><tr>
						<td class="key">
							<label for="filename">
								<?php echo JText::_('BB_SITEMAPFILENAME'); ?>
							</label>
						</td><td>
							<input type="text" name="filename" id="filename" class="inputbox" size="50" value="joobb_sitemap.xml" maxlength="255" />
						</td>
					</tr><tr>
						<td class="key">
							<label for="role">
								<?php echo JText::_('BB_PRIORITY'); ?>
							</label>
						</td><td>
							<?php echo $lists['priority']; ?>
						</td>
					</tr><tr>
						<td class="key">
							<label for="changefreq">
								<?php echo JText::_('BB_CHANGEFREQUENCY'); ?>
							</label>
						</td><td>
							<?php echo $lists['changefreq']; ?>
						</td>
					</tr><tr>
						<td class="key">
							<label for="limit">
								<?php echo JText::_('BB_LIMIT'); ?>
							</label>
						</td><td>
							<input type="text" name="limit" id="limit" class="inputbox" size="50" value="50000" maxlength="11" />
						</td>
					</tr></table>
				</fieldset>	
			</div>
			<div class="clr"></div>
			<input type="hidden" name="option" value="com_joobb" />
			<input type="hidden" name="task" value="" />
		</form><?php
	}
}
?>