<?php
/**
 * @version $Id: admin.joobb.php 598 2009-09-05 13:25:34Z robste $
 * @package Joo!BB
 * @copyright Copyright (C) 2007-2008 Sonixsoft. All rights reserved.
 * @license GNU/GPL. Please see license.php in Joo!BB directory 
 * for copyright notices and details.
 * Joo!BB is free software. This version may have been NOT modified.
 */
 
// no direct access
defined('_JEXEC') or die('Restricted access');
global $mainframe;

// check if Joo!CM is installed. otherwise leave!
if (!is_file(JPATH_SITE.DS.'components'.DS.'com_joocm'.DS.'include.php')) {
	$mainframe->redirect('index.php?option=com_installer', JText::_('BB_MSGJOOCMNOTINSTALLED'));
}

require_once(JPATH_SITE.DS.'components'.DS.'com_joocm'.DS.'include.php');

// Backend
define('JOOBB_ADMINBASEPATH_LIVE', JURI::base().'components'.DL.'com_joobb');
define('JOOBB_ADMINCSS_LIVE', JOOBB_ADMINBASEPATH_LIVE.DL.'css');
define('JOOBB_ADMINIMAGES_LIVE', JOOBB_ADMINBASEPATH_LIVE.DL.'images');

define('JOOBB_ADMINBASEPATH', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_joobb');
define('JOOBB_ADMINCONTROLLERS', JOOBB_ADMINBASEPATH.DS.'controllers');
define('JOOBB_ADMINPARAMS', JOOBB_ADMINBASEPATH.DS.'params');
define('JOOBB_ADMINTABLES', JOOBB_ADMINBASEPATH.DS.'tables');

// Frontend
define('JOOBB_BASEPATH_LIVE', JURI::root().'components'.DL.'com_joobb');
define('JOOBB_BUTTONS_LIVE', JOOBB_BASEPATH_LIVE.DL.'designs'.DL.'buttons');
define('JOOBB_ICONS_LIVE', JOOBB_BASEPATH_LIVE.DL.'designs'.DL.'icons');
define('JOOBB_EMOTIONS_LIVE', JOOBB_BASEPATH_LIVE.DL.'designs'.DL.'emotions');
define('JOOBB_STYLES_LIVE', JOOBB_BASEPATH_LIVE.DL.'designs'.DL.'styles');
define('JOOBB_TEMPLATES_LIVE', JOOBB_BASEPATH_LIVE.DL.'designs'.DL.'templates');

define('JOOBB_BASEPATH', JPATH_SITE.DS.'components'.DS.'com_joobb');
define('JOOBB_BUTTONS', JOOBB_BASEPATH.DS.'designs'.DS.'buttons');
define('JOOBB_ICONS', JOOBB_BASEPATH.DS.'designs'.DS.'icons');
define('JOOBB_EMOTIONS', JOOBB_BASEPATH.DS.'designs'.DS.'emotions');
define('JOOBB_STYLES', JOOBB_BASEPATH.DS.'designs'.DS.'styles');
define('JOOBB_TEMPLATES', JOOBB_BASEPATH.DS.'designs'.DS.'templates');

JTable::addIncludePath(JOOBB_ADMINTABLES);

// JooBB controllers
require_once(JOOBB_ADMINCONTROLLERS.DS.'joobb.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'forum.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'category.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'config.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'design.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'template.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'style.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'emotionset.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'buttonset.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'iconset.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'user.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'group.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'rank.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'credits.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'usersync.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'install.php');
require_once(JOOBB_ADMINCONTROLLERS.DS.'sitemap.php');

// Joo!BB system
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbauth.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbbreadcrumbs.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbbuttonset.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbengine.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbconfig.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbeditor.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbiconset.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbmessagequeue.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbemotionset.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbuser.php');
require_once(JOOBB_BASEPATH.DS.'system'.DS.'joobbsitemap.php');

// Joo!BB helper
require_once(JOOBB_BASEPATH.DS.'helpers'.DS.'joobb.php');

// XML library
require_once(JPATH_SITE.DS.'includes'.DS.'domit'.DS.'xml_domit_lite_include.php');

$task	= JRequest::getVar('task');

switch ($task) {
	case 'joobb_forum_view':
		ControllerForum::showForums();
		break;
	case 'joobb_forum_new':
	case 'joobb_forum_edit':
		ControllerForum::editForum();
		break;
	case 'joobb_forum_save':	
	case 'joobb_forum_apply':
		ControllerForum::saveForum($task);
		break;
	case 'joobb_forum_delete':
		ControllerForum::deleteForum();
		break;				
	case 'joobb_forum_cancel':
		ControllerForum::cancelEditForum();
		break;
	case 'joobb_forum_orderup':
		ControllerForum::orderForum(-1);
		break;
	case 'joobb_forum_orderdown':
		ControllerForum::orderForum(1);
		break;						
	case 'joobb_forum_saveorder':
		ControllerForum::saveForumOrder();
		break;
	case 'joobb_forum_publish':
		ControllerForum::changeForumPublishState(1);
		break;
	case 'joobb_forum_unpublish':
		ControllerForum::changeForumPublishState(0);
		break;		
		
	case 'joobb_category_view':
		ControllerCategory::showCategories();
		break;	
	case 'joobb_category_new':
	case 'joobb_category_edit':
		ControllerCategory::editCategory();
		break;
	case 'joobb_category_save':	
	case 'joobb_category_apply':
		ControllerCategory::saveCategory($task);
		break;
	case 'joobb_category_delete':
		ControllerCategory::deleteCategory();
		break;				
	case 'joobb_category_cancel':
		ControllerCategory::cancelEditCategory();
		break;
	case 'joobb_category_orderup':
		ControllerCategory::orderCategory(-1);
		break;
	case 'joobb_category_orderdown':
		ControllerCategory::orderCategory(1);
		break;
	case 'joobb_category_saveorder':
		ControllerCategory::saveCategoryOrder();
		break;
	case 'joobb_category_publish':
		ControllerCategory::changeCategoryPublishState(1);
		break;
	case 'joobb_category_unpublish':
		ControllerCategory::changeCategoryPublishState(0);
		break;		
				
	case 'joobb_config_view':
		ControllerConfig::showConfigs();
		break;
	case 'joobb_config_new':
	case 'joobb_config_edit':
		ControllerConfig::editConfig();
		break;
	case 'joobb_config_save':	
	case 'joobb_config_apply':
		ControllerConfig::saveConfig($task);
		break;
	case 'joobb_config_delete':
		ControllerConfig::deleteConfig();
		break;				
	case 'joobb_config_cancel':
		ControllerConfig::cancelEditConfig();
		break;
	case 'joobb_config_default':
		ControllerConfig::defaultConfig();
		break;
	
	case 'joobb_design_view' :
		ControllerDesign::showDesigns();
		break;	
	case 'joobb_design_new' :
	case 'joobb_design_edit' :
		ControllerDesign::editDesign();
		break;
	case 'joobb_design_save' :	
	case 'joobb_design_apply' :
		ControllerDesign::saveDesign($task);
		break;
	case 'joobb_design_delete' :
		ControllerDesign::deleteDesign();
		break;				
	case 'joobb_design_cancel' :
		ControllerDesign::cancelEditDesign();
		break;
	case 'joobb_design_default' :
		ControllerDesign::defaultDesign();
		break;
								
	case 'joobb_template_view' :
		ControllerTemplate::showTemplates();
		break;
	case 'joobb_template_edit' :
		ControllerTemplate::editTemplate();
		break;	
	case 'joobb_template_save' :
	case 'joobb_template_apply' :
		ControllerTemplate::saveTemplate($task);
		break;
	case 'joobb_template_cancel' :
		ControllerTemplate::cancelEditTemplate();
		break;
	case 'joobb_template_default' :
		ControllerTemplate::defaultTemplate();
		break;

	case 'joobb_style_view' :
		ControllerStyle::showStyles();
		break;
	case 'joobb_style_edit':
		ControllerStyle::editStyle();
		break;	
	case 'joobb_style_save':
	case 'joobb_style_apply':
		ControllerStyle::saveStyle($task);
		break;
	case 'joobb_style_cancel':
		ControllerStyle::cancelEditStyle();
		break;
	case 'joobb_style_default':
		ControllerStyle::defaultStyle();
		break;

	case 'joobb_emotionset_view':
		ControllerEmotionSet::showEmotionSets();
		break;	
	case 'joobb_emotionset_new':
	case 'joobb_emotionset_edit':
		ControllerEmotionSet::editEmotionSet();
		break;
	case 'joobb_emotionset_save':	
	case 'joobb_emotionset_apply':
		ControllerEmotionSet::saveEmotionSet($task);
		break;
	case 'joobb_emotionset_delete':
		ControllerEmotionSet::deleteEmotionSet();
		break;				
	case 'joobb_emotionset_cancel':
		ControllerEmotionSet::cancelEditEmotionSet();
		break;
	case 'joobb_emotionset_default':
		ControllerEmotionSet::defaultEmotionSet();
		break;

	case 'joobb_buttonset_view':
		ControllerButtonSet::showButtonSets();
		break;	
	case 'joobb_buttonset_new':
	case 'joobb_buttonset_edit':
		ControllerButtonSet::editButtonSet();
		break;
	case 'joobb_buttonset_save':	
	case 'joobb_buttonset_apply':
		ControllerButtonSet::saveButtonSet($task);
		break;
	case 'joobb_buttonset_delete':
		ControllerButtonSet::deleteButtonSet();
		break;				
	case 'joobb_buttonset_cancel':
		ControllerButtonSet::cancelEditButtonSet();
		break;
	case 'joobb_buttonset_default':
		ControllerButtonSet::defaultButtonSet();
		break;

	case 'joobb_iconset_view':
		ControllerIconSet::showIconSets();
		break;	
	case 'joobb_iconset_new':
	case 'joobb_iconset_edit':
		ControllerIconSet::editIconSet();
		break;
	case 'joobb_iconset_save':	
	case 'joobb_iconset_apply':
		ControllerIconSet::saveIconSet($task);
		break;
	case 'joobb_iconset_delete':
		ControllerIconSet::deleteIconSet();
		break;				
	case 'joobb_iconset_cancel':
		ControllerIconSet::cancelEditIconSet();
		break;
	case 'joobb_iconset_default':
		ControllerIconSet::defaultIconSet();
		break;

	case 'joobb_user_view':
		ControllerUser::showUsers();
		break;
	case 'joobb_user_new':
		ControllerUser::editUser();
		break;
	case 'joobb_user_edit':
		ControllerUser::editUser();
		break;
	case 'joobb_user_save':	
	case 'joobb_user_apply':
		ControllerUser::saveUser();
		break;
	case 'joobb_user_delete':
		ControllerUser::deleteUser();
		break;		
	case 'joobb_user_cancel':
		ControllerUser::cancelEditUser();
		break;
	case 'joobb_user_block':
		ControllerUser::changeUserBlock(1);
		break;
	case 'joobb_user_unblock':
		ControllerUser::changeUserBlock(0);
		break;
	case 'joobb_user_logout':
		ControllerUser::logoutUser();
		break;
		
	case 'joobb_group_view':
		ControllerGroup::showGroups();
		break;
	case 'joobb_group_new':
		ControllerGroup::editGroup();
		break;
	case 'joobb_group_edit':
		ControllerGroup::editGroup();
		break;		
	case 'joobb_group_save':	
	case 'joobb_group_apply':
		ControllerGroup::saveGroup();
		break;
	case 'joobb_group_delete':
		ControllerGroup::deleteGroup();
		break;				
	case 'joobb_group_cancel':
		ControllerGroup::cancelEditGroup();
		break;
	case 'joobb_group_publish':
		ControllerGroup::changeGroupPublishState(1);
		break;
	case 'joobb_group_unpublish':
		ControllerGroup::changeGroupPublishState(0);
		break;
		
	case 'joobb_rank_view':
		ControllerRank::showRanks();
		break;
	case 'joobb_rank_new':
		ControllerRank::editRank();
		break;
	case 'joobb_rank_edit':
		ControllerRank::editRank();
		break;		
	case 'joobb_rank_save':	
	case 'joobb_rank_apply':
		ControllerRank::saveRank($task);
		break;		
	case 'joobb_rank_cancel':
		ControllerRank::cancelEditRank();
		break;
	case 'joobb_rank_publish':
		ControllerRank::changeRankPublishState(1);
		break;
	case 'joobb_rank_unpublish':
		ControllerRank::changeRankPublishState(0);
		break;
		
	case 'joobb_usersync_view':
		ControllerUserSync::showUserSync();
		break;
	case 'joobb_usersync_perform':
		ControllerUserSync::performUserSync();
		break;
							
	case 'joobb_install_view':
		ControllerInstall::showInstall();
		break;
	case 'joobb_install_install':
		ControllerInstall::performInstall();
		break;					
	case 'joobb_install_update':
		ControllerInstall::performUpdate();
		break;
		
	case 'joobb_sitemap_view':
		ControllerSitemap::showSitemap();
		break;
	case 'joobb_sitemap_perform':
		ControllerSitemap::performSitemap();
		break;
		
	case 'joobb_credits_view':
		ControllerCredits::showCredits();
		break;
	
	default:
		ControllerJoobb::showControlPanel();
		break;
} ?>
<br />
<div align="center">
	<?php echo JText::_('BB_COPYRIGHT'); ?> &#169; 2007 - <?php echo date("Y"); ?> <a href="http://www.joobb.org" target="_blank"><?php echo JText::_('BB_JOOBBPROJECT'); ?></a> - <?php echo JText::_('BB_ALLRIGHTSRESERVED'); ?>
</div>