<?php
/**
 * @version $Id: joobbconfig.php 576 2009-07-26 19:08:45Z robste $
 * @package Joo!BB
 * @copyright Copyright (C) 2007-2009 Sonixsoft. All rights reserved.
 * @license GNU/GPL. Please see license.php in Joo!BB directory 
 * for copyright notices and details.
 * Joo!BB is free software. This version may have been NOT modified.
 */
 
/**
 * Joobb Config Table Class
 *
 * @package Joo!BB
 */
class JTableJoobbConfig extends JTable {
	/** @var int Unique id*/
	var $id						= null;
	/** @var string */
	var $name					= null;
	/** @var int */
	var $default_config			= null;	
	/** @var int */
	var $id_design				= null;
	/** @var string */
	var $editor					= null;	
	/** @var int */
	var $topic_icon_function	= null;
	/** @var int */
	var $post_icon_function		= null;
	/** @var string */	
	var $board_settings			= null;
	/** @var string */	
	var $latestpost_settings	= null;
	/** @var string */
	var $feed_settings			= null;
	/** @var string */
	var $view_settings			= null;
	/** @var string */
	var $user_settings_defaults	= null;
	/** @var string */
	var $attachment_settings	= null;
	/** @var string */
	var $captcha_settings		= null;
	/** @var string */
	var $parse_settings			= null;
	/** @var int */
	var $checked_out			= null;	
	/** @var datetime */
	var $checked_out_time		= null;
								
	/**
	 * @param database A database connector object
	 */
	function __construct(&$db) {
		parent::__construct('#__joobb_configs', 'id', $db);
	}
	
}
?>